#
# spec file for package turtle (Version 0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         turtle
Copyright:    GPL
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.6
Release:      2
Summary:      Othello player
URL:          http://www.lifl.fr/~letouzey/
Source:       turtle-v%{version}.tar.bz2
Source1:      turtle.sh
Source2:      turtle.ps.bz2
Source3:      README.SuSE
Patch:        turtle-%{version}-noX.patch
BuildRoot:    %{_tmppath}/%{name}-build
%define noX 0

%description
Turtle is a very good Othello player.
Othello is a simple strategy game. The objective is
to capture stones of opposite player.
For gui play run "turtle -s gui"

Authors:
--------
    Fabien Letouzey <xann@melting-pot.org>

%prep
%setup -n %{name}-v%{version}
%if %noX
%patch
cp src/xboard_dummy.c src/xboard.c
%endif

%build
cd src
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{games,share/games/turtle}
install src/turtle $RPM_BUILD_ROOT/usr/games/turtle.bin
install %{S:1} $RPM_BUILD_ROOT/usr/games/turtle
cp -r data settings log $RPM_BUILD_ROOT/usr/share/games/turtle
cp %{S:3} .
bzcat %{S:2} >turtle.ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/games/turtle
/usr/games/*
%doc turtle.doc README.SuSE turtle.ps

%changelog -n turtle
* Fri Oct 26 2001 - nadvornik@suse.cz
- new package, version 0.6
